function [desLineWidth_Digraph, ArrowSize, desAlpha] = DigraphSettings(id_network, id_model)


% Start by idenfitying the topology

% Networks:

% 1 %  1,  2,  3,  4,  5 -> Topology num 1 ~ Complete graph
% 2 %  6,  7,  8,  9, 10 -> Topology num 2 ~ Directed ring 1
% 3 % 11, 12, 13, 14, 15 -> Topology num 3 ~ Directed ring 2
% 4 % 16, 17, 18, 19, 20 -> Topology num 4 ~ Undirected ring
% 5 % 21, 22, 23, 24, 25 -> Topology num 5 ~ Small-World
% 6 % 26, 27, 28, 29, 30 -> Topology num 6 ~ Random network
% 7 % 31, 32, 33, 34, 35 -> Topology num 7 ~ Torus lattice
% 8 % 36, 37, 38, 39, 40 -> Topology num 8 ~ Scale-Free
% 9 % 41, 42, 43, 44, 45 -> Topology num 9 ~ Small-World

if (id_model==3)||(id_model==4)

    if (id_network>0)&&(id_network<=5)
        desLineWidth_Digraph = 0.1;
        ArrowSize = 0.1;
        desAlpha = 0.2;
    elseif (id_network>5)&&(id_network<=10)
        desLineWidth_Digraph = 0.2;
        ArrowSize = 0.2;
        desAlpha = 0.2;
    elseif (id_network>10)&&(id_network<=15)
        desLineWidth_Digraph = 0.2;
        ArrowSize = 0.2;
        desAlpha = 0.2;
    elseif (id_network>15)&&(id_network<=20)
        desLineWidth_Digraph = 0.2;
        ArrowSize = 0.2;
        desAlpha = 0.2;
    elseif (id_network>20)&&(id_network<=25)
        desLineWidth_Digraph = 0.2;
        ArrowSize = 0.2;
        desAlpha = 0.2;
    elseif (id_network>25)&&(id_network<=30)
        desLineWidth_Digraph = 0.1;
        ArrowSize = 0.1;
        desAlpha = 0.2;
    elseif (id_network>30)&&(id_network<=35)
        desLineWidth_Digraph = 1;
        ArrowSize = 3;
        desAlpha = 0.5;
    elseif (id_network>35)&&(id_network<=40)
        desLineWidth_Digraph = 1;
        ArrowSize = 3;
        desAlpha = 0.5;
    elseif (id_network>40)&&(id_network<=45)
        desLineWidth_Digraph = 0.15;
        ArrowSize = 0.15;
        desAlpha = 0.2;
    end

else

    if id_network == 1
        desLineWidth_Digraph = 0.1;
        ArrowSize = 0.1;
        desAlpha = 0.2;
    elseif id_network == 2
        desLineWidth_Digraph = 0.2;
        ArrowSize = 0.2;
        desAlpha = 0.2;
    elseif id_network == 3
        desLineWidth_Digraph = 0.2;
        ArrowSize = 0.2;
        desAlpha = 0.2;
    elseif id_network == 4
        desLineWidth_Digraph = 0.2;
        ArrowSize = 0.2;
        desAlpha = 0.2;
    elseif id_network == 5
        desLineWidth_Digraph = 0.2;
        ArrowSize = 0.2;
        desAlpha = 0.2;
    elseif id_network == 6
        desLineWidth_Digraph = 0.1;
        ArrowSize = 0.1;
        desAlpha = 0.2;
    elseif id_network == 7
        desLineWidth_Digraph = 1;
        ArrowSize = 3;
        desAlpha = 0.5;
    elseif id_network == 8
        desLineWidth_Digraph = 1;
        ArrowSize = 3;
        desAlpha = 0.5;
    elseif id_network == 9
        desLineWidth_Digraph = 0.15;
        ArrowSize = 0.15;
        desAlpha = 0.2;
    end

end

end